%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name QuickCheck
%define f_pkg_name quickcheck
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 1.2.0.0
Release: alt1
License: BSD
Packager: Alex V. Myltsev <avm@altlinux.ru>
Group: Development/Haskell
URL: http://www.math.chalmers.se/~rjmh/QuickCheck/
Source: %h_pkg_name-%version.tar.gz
Summary: Automatic testing of Haskell programs
BuildRequires: ghc haddock %hs_package_dependencies
BuildRequires(pre): rpm-build-haskell


%description
A library for testing Haskell programs automatically.
The programmer provides a specification of the program, in
the form of properties which functions should satisfy, and
QuickCheck then tests that the properties hold in a large number
of randomly generated cases.  Specifications are expressed in
Haskell, using combinators defined in the QuickCheck library.
QuickCheck provides combinators to define properties, observe
the distribution of test data, and define test
data generators.


%prep
%setup -n %h_pkg_name-%version


%build
if [ -f configure.ac -a ! -f configure ]; then autoreconf; fi
runghc Setup configure --prefix=%_prefix --libdir=%_libdir --docdir=%_docdir/%hsc_namever-%f_pkg_name-%version --libsubdir='$compiler/lib/$pkgid' --disable-library-profiling --ghc
if runghc Setup makefile -f cabal-rpm.mk
then
    %make_build -f cabal-rpm.mk || :
fi
runghc Setup build
runghc Setup haddock || :
runghc Setup register --gen-pkg-config=%f_pkg_name.pkg


%install
runghc Setup copy --destdir=%buildroot
install -m 755 %f_pkg_name.pkg %buildroot%pkg_libdir

mkdir -p %buildroot%hs_pkgconfdir
%hs_package_register %f_pkg_name.pkg %buildroot%hs_pkgconfdir/%f_pkg_name.conf

cd %buildroot
find .%pkg_libdir \( -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.prof
find .%pkg_libdir -type d | sed 's/^./%dir /' >> %_builddir/%{?buildsubdir}/%name-files.nonprof
find .%pkg_libdir ! \( -type d -o -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.nonprof
sed 's,^/,%exclude /,' %_builddir/%{?buildsubdir}/%name-files.prof >> %_builddir/%{?buildsubdir}/%name-files.nonprof

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name.conf
%doc dist/doc/html
%doc LICENSE


%changelog
* Mon Nov 17 2008 Alexander Myltsev <avm@altlinux.ru> 1.2.0.0-alt1
- new version

* Mon Jan 14 2008 Alex V. Myltsev <avm@altlinux.ru> 1.1.0.0-alt2
- Use package.conf.d.

* Wed Jan 09 2008 Alex V. Myltsev <avm@altlinux.ru> 1.1.0.0-alt1
- spec file autogenerated by cabal-rpm
